diff -rupN GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_displayclass.c.ORIG GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_displayclass.c
--- GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_displayclass.c.ORIG	2011-03-08 11:03:40.675029508 +0100
+++ GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_displayclass.c	2011-03-08 11:09:34.565029460 +0100
@@ -234,10 +234,17 @@ static int FrameBufferEvents(struct noti
 static OMAP_ERROR UnblankDisplay(OMAPLFB_DEVINFO *psDevInfo)
 {
 	int res;
-
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	acquire_console_sem();
+#else
+	console_lock();
+#endif
 	res = fb_blank(psDevInfo->psLINFBInfo, 0);
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	release_console_sem();
+#else
+	console_unlock();
+#endif
 #if !defined (CONFIG_OMAP2_DSS)
 	/* DSS2 returns error if unblank from a non-suspend state */
 	if (res != 0)
@@ -1113,7 +1120,11 @@ static OMAP_ERROR InitDev(OMAPLFB_DEVINF
 	OMAP_ERROR eError = OMAP_ERROR_GENERIC;
 	unsigned long FBSize;
 
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	acquire_console_sem();
+#else
+	console_lock();
+#endif
 
 	if (fb_idx < 0 || fb_idx >= num_registered_fb)
 	{
@@ -1253,7 +1264,11 @@ static OMAP_ERROR InitDev(OMAPLFB_DEVINF
 errModPut:
 	module_put(psLINFBOwner);
 errRelSem:
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	release_console_sem();
+#else
+	console_unlock();
+#endif
 	return eError;
 }
 
@@ -1262,7 +1277,11 @@ static void DeInitDev(OMAPLFB_DEVINFO *p
 	struct fb_info *psLINFBInfo = psDevInfo->psLINFBInfo;
 	struct module *psLINFBOwner;
 
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	acquire_console_sem();
+#else
+	console_lock();
+#endif
 
 	psLINFBOwner = psLINFBInfo->fbops->owner;
 
@@ -1273,7 +1292,11 @@ static void DeInitDev(OMAPLFB_DEVINFO *p
 
 	module_put(psLINFBOwner);
 
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38))
 	release_console_sem();
+#else
+	console_unlock();
+#endif
 }
 
 OMAP_ERROR OMAPLFBInit(void)
diff -rupN GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_linux.c.ORIG GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_linux.c
--- GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_linux.c.ORIG	2011-03-08 11:31:20.296279727 +0100
+++ GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/omaplfb_linux.c	2011-03-08 11:32:09.235029482 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
-#include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <linux/module.h>
 
diff -rupN GFX_Linux_KM/services4/srvkm/common/resman.c.ORIG GFX_Linux_KM/services4/srvkm/common/resman.c
--- GFX_Linux_KM/services4/srvkm/common/resman.c.ORIG	2011-03-08 11:39:55.015029515 +0100
+++ GFX_Linux_KM/services4/srvkm/common/resman.c	2011-03-08 11:40:03.075029702 +0100
@@ -28,9 +28,6 @@
 #include "resman.h"
 
 #ifdef __linux__
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
 
 #include <linux/version.h>
 #include <linux/sched.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/event.c GFX_Linux_KM/services4/srvkm/env/linux/event.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/event.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/event.c	2011-03-08 11:43:17.685029441 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <asm/io.h>
 #include <asm/page.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mmap.c GFX_Linux_KM/services4/srvkm/env/linux/mmap.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mmap.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/mmap.c	2011-03-08 11:43:24.466279220 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <linux/mm.h>
 #include <linux/module.h>
diff -rupN linux.ORIG/mm.c GFX_Linux_KM/services4/srvkm/env/linux/mm.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mm.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/mm.c	2011-03-08 11:43:30.786278980 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <linux/mm.h>
 #include <linux/vmalloc.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mm.h GFX_Linux_KM/services4/srvkm/env/linux/mm.h
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mm.h	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/mm.h	2011-03-08 11:43:37.285029436 +0100
@@ -27,10 +27,6 @@
 #ifndef __IMG_LINUX_MM_H__
 #define __IMG_LINUX_MM_H__
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <linux/slab.h>
 #include <linux/mm.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/module.c GFX_Linux_KM/services4/srvkm/env/linux/module.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/module.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/module.c	2011-03-08 11:43:42.936279004 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/init.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mutils.c GFX_Linux_KM/services4/srvkm/env/linux/mutils.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mutils.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/mutils.c	2011-03-08 11:43:49.685029298 +0100
@@ -24,9 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
-#include <linux/config.h>
-#endif
 #include <linux/version.h>
 
 #include <linux/spinlock.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mutils.h GFX_Linux_KM/services4/srvkm/env/linux/mutils.h
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/mutils.h	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/mutils.h	2011-03-08 11:43:56.175029632 +0100
@@ -27,10 +27,6 @@
 #ifndef __IMG_LINUX_MUTILS_H__
 #define __IMG_LINUX_MUTILS_H__
 
-#ifndef AUTOCONF_INCLUDED
-#include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 
 #if !(defined(__i386__) && (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,26)))
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/osfunc.c linux/osfunc.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/osfunc.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/osfunc.c	2011-03-08 11:44:02.525029552 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/version.h>
 #include <asm/io.h>
 #include <asm/page.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/proc.c GFX_Linux_KM/services4/srvkm/env/linux/proc.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/proc.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/proc.c	2011-03-08 11:44:09.435029716 +0100
@@ -24,10 +24,6 @@
  *
  ******************************************************************************/
 
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <linux/init.h>
 #include <linux/module.h>
 #include <linux/version.h>
diff -rupN GFX_Linux_KM/services4/srvkm/env/linux.ORIG/pvr_debug.c GFX_Linux_KM/services4/srvkm/env/linux/pvr_debug.c
--- GFX_Linux_KM/services4/srvkm/env/linux.ORIG/pvr_debug.c	2010-03-05 10:47:57.000000000 +0100
+++ GFX_Linux_KM/services4/srvkm/env/linux/pvr_debug.c	2011-03-08 11:44:16.605029462 +0100
@@ -25,10 +25,6 @@
  ******************************************************************************/
 
   
-#ifndef AUTOCONF_INCLUDED
- #include <linux/config.h>
-#endif
-
 #include <asm/io.h>
 #include <asm/uaccess.h>
 #include <linux/kernel.h>
